Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.impl
Class SdPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.amp.amf.sd.impl.SdPackageImpl

All Implemented Interfaces:
  SdPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class SdPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements SdPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.amp.amf.sd.SdPackage
`SdPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.amp.amf.sd.SdPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, SD_ABSTRACT_VARIABLE, SD_ABSTRACT_VARIABLE__COMMENT, SD_ABSTRACT_VARIABLE__NAME, SD_ABSTRACT_VARIABLE__PARENT, SD_ABSTRACT_VARIABLE__TO_ELEMENT, SD_ABSTRACT_VARIABLE_FEATURE_COUNT, SD_AUX_VARIABLE, SD_AUX_VARIABLE__COMMENT, SD_AUX_VARIABLE__EQUATION, SD_AUX_VARIABLE__NAME, SD_AUX_VARIABLE__PARENT, SD_AUX_VARIABLE__TO_ELEMENT, SD_AUX_VARIABLE_FEATURE_COUNT, SD_CONNECTOR, SD_CONNECTOR__COMMENT, SD_CONNECTOR__NAME, SD_CONNECTOR__TO_ELEMENT, SD_CONNECTOR_FEATURE_COUNT, SD_EQUATION_VARIABLE, SD_EQUATION_VARIABLE__COMMENT, SD_EQUATION_VARIABLE__EQUATION, SD_EQUATION_VARIABLE__NAME, SD_EQUATION_VARIABLE__PARENT, SD_EQUATION_VARIABLE__TO_ELEMENT, SD_EQUATION_VARIABLE_FEATURE_COUNT, SD_FLOW_VARIABLE, SD_FLOW_VARIABLE__COMMENT, SD_FLOW_VARIABLE__EQUATION, SD_FLOW_VARIABLE__NAME, SD_FLOW_VARIABLE__PARENT, SD_FLOW_VARIABLE__TO_ELEMENT, SD_FLOW_VARIABLE_FEATURE_COUNT, SD_GENERATABLE, SD_GENERATABLE__COMMENT, SD_GENERATABLE__NAME, SD_GENERATABLE_FEATURE_COUNT, SD_MODEL, SD_MODEL__ABSTRACT_VARIABLES, SD_MODEL__COMMENT, SD_MODEL__NAME, SD_MODEL__PARENT, SD_MODEL_FEATURE_COUNT, SD_NAMED_ELEMENT, SD_NAMED_ELEMENT__COMMENT, SD_NAMED_ELEMENT__NAME, SD_NAMED_ELEMENT_FEATURE_COUNT, SD_STOCK_VARIABLE, SD_STOCK_VARIABLE__COMMENT, SD_STOCK_VARIABLE__INITIAL_VALUE, SD_STOCK_VARIABLE__INTEGRAL, SD_STOCK_VARIABLE__NAME, SD_STOCK_VARIABLE__PARENT, SD_STOCK_VARIABLE__TO_ELEMENT, SD_STOCK_VARIABLE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getSdAbstractVariable_Parent()`
`org.eclipse.emf.ecore.EReference` | `getSdAbstractVariable_ToElement()`
`org.eclipse.emf.ecore.EClass` | `getSdAbstractVariable()`
`org.eclipse.emf.ecore.EClass` | `getSdAuxVariable()`
`org.eclipse.emf.ecore.EReference` | `getSdConnector_ToElement()`
`org.eclipse.emf.ecore.EClass` | `getSdConnector()`
`org.eclipse.emf.ecore.EAttribute` | `getSdEquationVariable_Equation()`
`org.eclipse.emf.ecore.EClass` | `getSdEquationVariable()`
`SdFactory` | `getSdFactory()`
`org.eclipse.emf.ecore.EClass` | `getSdFlowVariable()`
`org.eclipse.emf.ecore.EClass` | `getSdGeneratable()`
`org.eclipse.emf.ecore.EReference` | `getSdModel_AbstractVariables()`
`org.eclipse.emf.ecore.EClass` | `getSdModel()`
`org.eclipse.emf.ecore.EAttribute` | `getSdNamedElement_Comment()`
`org.eclipse.emf.ecore.EAttribute` | `getSdNamedElement_Name()`
`org.eclipse.emf.ecore.EClass` | `getSdNamedElement()`
`org.eclipse.emf.ecore.EAttribute` | `getSdStockVariable_InitialValue()`
`org.eclipse.emf.ecore.EAttribute` | `getSdStockVariable_Integral()`
`org.eclipse.emf.ecore.EClass` | `getSdStockVariable()`
`static SdPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static SdPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `SdPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `SdPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSdNamedElement

    public org.eclipse.emf.ecore.EClass getSdNamedElement()

  Specified by:
    `getSdNamedElement` in interface `SdPackage`
  Returns:
    the meta object for class 'Named Element'.
  See Also:
    `SdNamedElement`

### getSdNamedElement_Name

    public org.eclipse.emf.ecore.EAttribute getSdNamedElement_Name()

  Specified by:
    `getSdNamedElement_Name` in interface `SdPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `SdNamedElement.getName()`, `SdPackage.getSdNamedElement()`

### getSdNamedElement_Comment

    public org.eclipse.emf.ecore.EAttribute getSdNamedElement_Comment()

  Specified by:
    `getSdNamedElement_Comment` in interface `SdPackage`
  Returns:
    the meta object for the attribute 'Comment'.
  See Also:
    `SdNamedElement.getComment()`, `SdPackage.getSdNamedElement()`

### getSdAbstractVariable

    public org.eclipse.emf.ecore.EClass getSdAbstractVariable()

  Specified by:
    `getSdAbstractVariable` in interface `SdPackage`
  Returns:
    the meta object for class 'Abstract Variable'.
  See Also:
    `SdAbstractVariable`

### getSdAbstractVariable_ToElement

    public org.eclipse.emf.ecore.EReference getSdAbstractVariable_ToElement()

  Specified by:
    `getSdAbstractVariable_ToElement` in interface `SdPackage`
  Returns:
    the meta object for the containment reference list 'To Element'.
  See Also:
    `SdAbstractVariable.getToElement()`, `SdPackage.getSdAbstractVariable()`

### getSdAbstractVariable_Parent

    public org.eclipse.emf.ecore.EReference getSdAbstractVariable_Parent()

  Specified by:
    `getSdAbstractVariable_Parent` in interface `SdPackage`
  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `SdAbstractVariable.getParent()`, `SdPackage.getSdAbstractVariable()`

### getSdEquationVariable

    public org.eclipse.emf.ecore.EClass getSdEquationVariable()

  Specified by:
    `getSdEquationVariable` in interface `SdPackage`
  Returns:
    the meta object for class 'Equation Variable'.
  See Also:
    `SdEquationVariable`

### getSdEquationVariable_Equation

    public org.eclipse.emf.ecore.EAttribute getSdEquationVariable_Equation()

  Specified by:
    `getSdEquationVariable_Equation` in interface `SdPackage`
  Returns:
    the meta object for the attribute 'Equation'.
  See Also:
    `SdEquationVariable.getEquation()`, `SdPackage.getSdEquationVariable()`

### getSdModel

    public org.eclipse.emf.ecore.EClass getSdModel()

  Specified by:
    `getSdModel` in interface `SdPackage`
  Returns:
    the meta object for class 'Model'.
  See Also:
    `SdModel`

### getSdModel_AbstractVariables

    public org.eclipse.emf.ecore.EReference getSdModel_AbstractVariables()

  Specified by:
    `getSdModel_AbstractVariables` in interface `SdPackage`
  Returns:
    the meta object for the containment reference list 'Abstract Variables'.
  See Also:
    `SdModel.getAbstractVariables()`, `SdPackage.getSdModel()`

### getSdAuxVariable

    public org.eclipse.emf.ecore.EClass getSdAuxVariable()

  Specified by:
    `getSdAuxVariable` in interface `SdPackage`
  Returns:
    the meta object for class 'Aux Variable'.
  See Also:
    `SdAuxVariable`

### getSdStockVariable

    public org.eclipse.emf.ecore.EClass getSdStockVariable()

  Specified by:
    `getSdStockVariable` in interface `SdPackage`
  Returns:
    the meta object for class 'Stock Variable'.
  See Also:
    `SdStockVariable`

### getSdStockVariable_Integral

    public org.eclipse.emf.ecore.EAttribute getSdStockVariable_Integral()

  Specified by:
    `getSdStockVariable_Integral` in interface `SdPackage`
  Returns:
    the meta object for the attribute 'Integral'.
  See Also:
    `SdStockVariable.getIntegral()`, `SdPackage.getSdStockVariable()`

### getSdStockVariable_InitialValue

    public org.eclipse.emf.ecore.EAttribute getSdStockVariable_InitialValue()

  Specified by:
    `getSdStockVariable_InitialValue` in interface `SdPackage`
  Returns:
    the meta object for the attribute 'Initial Value'.
  See Also:
    `SdStockVariable.getInitialValue()`, `SdPackage.getSdStockVariable()`

### getSdFlowVariable

    public org.eclipse.emf.ecore.EClass getSdFlowVariable()

  Specified by:
    `getSdFlowVariable` in interface `SdPackage`
  Returns:
    the meta object for class 'Flow Variable'.
  See Also:
    `SdFlowVariable`

### getSdConnector

    public org.eclipse.emf.ecore.EClass getSdConnector()

  Specified by:
    `getSdConnector` in interface `SdPackage`
  Returns:
    the meta object for class 'Connector'.
  See Also:
    `SdConnector`

### getSdConnector_ToElement

    public org.eclipse.emf.ecore.EReference getSdConnector_ToElement()

  Specified by:
    `getSdConnector_ToElement` in interface `SdPackage`
  Returns:
    the meta object for the reference 'To Element'.
  See Also:
    `SdConnector.getToElement()`, `SdPackage.getSdConnector()`

### getSdGeneratable

    public org.eclipse.emf.ecore.EClass getSdGeneratable()

  Specified by:
    `getSdGeneratable` in interface `SdPackage`
  Returns:
    the meta object for class 'Generatable'.
  See Also:
    `SdGeneratable`

### getSdFactory

    public SdFactory getSdFactory()

  Specified by:
    `getSdFactory` in interface `SdPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD